# Gimp.Drawable.edit_stroke_selection

    @accepts(Gimp.Drawable)
    @returns(bool)
    def edit_stroke_selection(self):
        # Python wrapper for gimp_drawable_edit_stroke_selection()

Stroke the current selection

This procedure strokes the current selection, painting along the selection boundary with the active paint method and brush, or using a plain line with configurable properties. The paint is applied to the specified drawable regardless of the active selection.

This procedure is affected by the following context setters: Gimp.context_set_opacity, Gimp.context_set_paint_mode, Gimp.context_set_paint_method, Gimp.context_set_stroke_method, Gimp.context_set_foreground, Gimp.context_set_brush and all brush property settings, Gimp.context_set_gradient and all gradient property settings, Gimp.context_set_line_width and all line property settings, Gimp.context_set_antialias.

self

  The drawable to stroke to.

Returns